Bug 1260216 - os-release is missing options that are essentials for bug reporting
os-release is missing options that are essentials for bug reporting
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: generic-release (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 15:00 EDT by Mikhail
Modified: 2016-12-20 09:34 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:34:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
oops-2015-09-04-12:08:00-746-0 (20.32 KB, application/x-gzip)
2015-09-04 15:00 EDT, Mikhail
no flags Details
ccpp-2015-09-04-23:28:53-2622 (3.19 MB, application/x-gzip)
2015-09-04 15:04 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2015-09-04 15:00:10 EDT
Created attachment 1070405 [details]
oops-2015-09-04-12:08:00-746-0

Description of problem:
--- Running report_uReport ---
Server responded with an error: 'uReport data is invalid.'
reporter-ureport failed with exit code 1
('report_uReport' exited with 1)
Comment 1 Mikhail 2015-09-04 15:04:45 EDT
Created attachment 1070406 [details]
ccpp-2015-09-04-23:28:53-2622
Comment 2 Jakub Filak 2015-09-07 05:10:50 EDT
Thank you for the report! It looks like you are using 'generic-release' package and its /etc/os-release file seems a bit outdated to me:

NAME=Generic
VERSION="23 (Generic)"
ID=generic
VERSION_ID=23
PRETTY_NAME="Generic 23 (Generic)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:generic:generic:23"


I propose to make generic-releases' os-release file more tightly integrated with Fedora:

NAME=Fedora
VERSION="23 (Generic)"
ID=fedora
VERSION_ID=23
PRETTY_NAME="Fedora 23 (Generic)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:fedoraproject:fedora:23"
HOME_URL="https://fedoraproject.org/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="Fedora"
REDHAT_BUGZILLA_PRODUCT_VERSION=23
REDHAT_SUPPORT_PRODUCT="Fedora"
REDHAT_SUPPORT_PRODUCT_VERSION=23
PRIVACY_POLICY_URL=https://fedoraproject.org/wiki/Legal:PrivacyPolicy
VARIANT="Generic"
VARIANT_ID=generic


These options are used by ABRT:
* ID
* VERSION_ID
* REDHAT_BUGZILLA_PRODUCT
* REDHAT_BUGZILLA_PRODUCT_VERSION
* REDHAT_SUPPORT_PRODUCT
* REDHAT_SUPPORT_PRODUCT_VERSION
* VARIANT_ID
Comment 3 Bruno Wolff III 2015-09-07 17:44:38 EDT
I don't have a problem with that change.
Comment 4 Tom "spot" Callaway 2015-09-08 13:41:53 EDT
No. That's not at all right. The point of generic-release is to have a template package for people who want to strip out the "Fedora" trademark and spin their own derived version. Adding in Fedora specific items is wrong.

I'd argue that ABRT needs to more gracefully handle a case where the os-release file doesn't have these fields, but, as a stop-gap, I'd be willing to amend the generic-release os-release file to add:

REDHAT_BUGZILLA_PRODUCT="Generic"
REDHAT_BUGZILLA_PRODUCT_VERSION="23"
REDHAT_SUPPORT_PRODUCT="Generic"
REDHAT_SUPPORT_PRODUCT_VERSION="23"
VARIANT_ID=generic

I suspect the result of this will be to have abrt trying in vain to open bugs against non-existant products, but the whole point of generic-release is that a system with it installed _IS NOT FEDORA_.

I'll wait a bit before making the proposed change to see if anyone has any better ideas.
Comment 5 Jakub Filak 2015-09-09 03:03:09 EDT
(In reply to Tom "spot" Callaway from comment #4)
> No. That's not at all right. The point of generic-release is to have a
> template package for people who want to strip out the "Fedora" trademark and
> spin their own derived version. Adding in Fedora specific items is wrong.
> 

If generic-release is a template package, I don't understand why it lives in Fedora repositories and users can install it.

Mikhail, if you want to report bugs using ABRT, you need to switch from generic-release to fedora-release.

> I'd argue that ABRT needs to more gracefully handle a case where the
> os-release file doesn't have these fields,

Good point!

https://github.com/abrt/faf/issues/461

> but, as a stop-gap, I'd be
> willing to amend the generic-release os-release file to add:
> 
> REDHAT_BUGZILLA_PRODUCT="Generic"
> REDHAT_BUGZILLA_PRODUCT_VERSION="23"
> REDHAT_SUPPORT_PRODUCT="Generic"
> REDHAT_SUPPORT_PRODUCT_VERSION="23"
> VARIANT_ID=generic
> 
> I suspect the result of this will be to have abrt trying in vain to open
> bugs against non-existant products, but the whole point of generic-release
> is that a system with it installed _IS NOT FEDORA_.
> 

If a system with generic-release installed _IS NOT FEDORA_, then we don't need to add the fields. Because REDHAT_* fields are useful only for Red Hat Bugzilla and https://retrace.fedoraproject.org/ and both services support only Fedora (+RHEL, +CentOS). VARIANT_ID does not make sense at all in this case.
Comment 6 Mikhail 2015-09-10 01:54:23 EDT
Guys I use Fedlet from this location: https://www.happyassassin.net/fedlet-a-fedora-remix-for-bay-trail-tablets/

But, after several updates I see that all packages replaced from upstream fedora even kernel package. And problems which I see also persist in pure fedora. Therefore, I see no reason to deny that these reports.


> Mikhail, if you want to report bugs using ABRT, you need to switch from generic-release to fedora-release.

I should manually edit /etc/os-release file?
Comment 7 Mikhail 2015-09-10 02:20:54 EDT
# ls -l /etc/yum.repos.d/
total 20
-rw-r--r--. 1 root root  386 Feb 12  2014 fedlet.repo
-rw-r--r--. 1 root root 1253 Jul 15 19:51 fedora.repo
-rw-r--r--. 1 root root 1270 Jul 15 19:51 fedora-updates.repo
-rw-r--r--. 1 root root 1328 Jul 15 19:51 fedora-updates-testing.repo
-rw-r--r--. 1 root root  171 Sep  8 13:57 google-chrome.repo
Comment 8 Fedora End Of Life 2016-11-24 07:27:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 09:34:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.